GET api/mediwaveprogramstepapi/steps/{programId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"code": 2,
"id": "7cef32f5-f3fa-409e-9059-f69f6502a71f",
"program_id": "9bce6ba6-2ba9-434e-b8dd-77df039c54f2",
"mediwave_program_step_type_id": "7f49df4b-adf4-457b-8cf4-d1fa3dcc0c7d",
"name": "sample string 6"
},
{
"active": true,
"code": 2,
"id": "7cef32f5-f3fa-409e-9059-f69f6502a71f",
"program_id": "9bce6ba6-2ba9-434e-b8dd-77df039c54f2",
"mediwave_program_step_type_id": "7f49df4b-adf4-457b-8cf4-d1fa3dcc0c7d",
"name": "sample string 6"
}
]
application/xml, text/xml
Sample:
<ArrayOfmediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<mediwave_program_step>
<active>true</active>
<code>2</code>
<id>7cef32f5-f3fa-409e-9059-f69f6502a71f</id>
<mediwave_program_step_type_id>7f49df4b-adf4-457b-8cf4-d1fa3dcc0c7d</mediwave_program_step_type_id>
<name>sample string 6</name>
<program_id>9bce6ba6-2ba9-434e-b8dd-77df039c54f2</program_id>
</mediwave_program_step>
<mediwave_program_step>
<active>true</active>
<code>2</code>
<id>7cef32f5-f3fa-409e-9059-f69f6502a71f</id>
<mediwave_program_step_type_id>7f49df4b-adf4-457b-8cf4-d1fa3dcc0c7d</mediwave_program_step_type_id>
<name>sample string 6</name>
<program_id>9bce6ba6-2ba9-434e-b8dd-77df039c54f2</program_id>
</mediwave_program_step>
</ArrayOfmediwave_program_step>